package com.sos.example.scheduler;

import org.apache.log4j.Logger;
import org.junit.Test;

import com.sos.jms.consumer.SOSConsumer;
import com.sos.jms.producer.SOSProducer;


public class SchedulerTest {
    private static final Logger LOGGER = Logger.getLogger(SchedulerTest.class);

    @Test
    public void testSendRequestToJobScheduler(){
        SOSProducer producer = new SOSProducer();
        producer.write(null);
        SOSConsumer consumer = new SOSConsumer();
        String command = consumer.receiveFromQueue();
        try {
            consumer.connect();
            consumer.sendRequest(command);
            LOGGER.info(consumer.getResponse());
        } catch (Exception e) {
            LOGGER.error(e);
        } finally {
            try {
                consumer.disconnect();
            } catch (Exception e) {
                LOGGER.error(e);
            }
        }
    }
}
